/**
* U Search App
* Implementing an App to manage system app
*/
var USearchApp = USearchApp || {};  //Define U Search App namespace.
/**
*Constructor UNAS App
*/
USearchApp.App = function () {
    this.id = 'U Search';
    this.name = 'U Search';
    this.version = '6.0.15';
    this.active = false;
    this.menuIcon = '/apps/usearch/images/logo.png?v=6.0.15&';
    this.shortcutIcon = '/apps/usearch/images/logo.png?v=6.0.15&';
    var self = this;
    this.USearchWindow = function () { //create app window
     self.window=new MUI.Window({
            id: 'USearchWindow',
            title: UNAS._('U Search'),
            icon: '/apps/usearch/images/logo_small.png?v=6.0.15&',
            width: 1000,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [1000, 2000], 'y': [500, 3000] },
            require: {
                css: ['/apps/usearch/css/usearch.css',
                        '/apps/usearch/css/pagination.css'],
                js: ['/apps/usearch/js/laydate5.3.0/laydate.js',
                        '/apps/usearch/js/pagination.min.js'],
                onload: function(){

                }
            },
            contentURL: '/apps/usearch/index.html?v=6.0.15&',
            onClose:function(){
                if(window.usearch && window.usearch.onClose){
                    window.usearch.onClose();
                    window.usearch.onClose = null;
                }
                window.usearch = null;
            }
        });
    };
    this.USearchUninstall = function () {
        UNAS.RemoveDesktopShortcut('U Search');
        //UNAS.RemoveMenu('U Search');
        UNAS.RemoveAppFromGroups('U Search', 'Help');
        UNAS.RemoveAppFromApps('U Search');
    };
    //new UNAS.Menu('UNAS_App_Accessories_Menu', 'USearchAppMenu', this.menuIcon, UNAS._(this.name), '', this.USearchWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U Search', this.USearchWindow);

    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('U Search', UNAS._('U Search')); //translate menu
        UNAS.SetShortcutTitle('U Search', UNAS._('U Search')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('USearchWindow', UNAS._('U Search'));
        }
    };
    UNAS.LoadTranslation('/apps/usearch/languages/Translation?v='+this.version,  OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.USearchWindow, this.USearchUninstall);
    // document.getElementById(UNAS_SUB_usearch).addEventListener('click',this.USearchWindow);
};
new USearchApp.App();
